/*** BODY MAIN ***/

html { height:100%; margin:0; }
body { height:100%; margin:0; line-height:1.25; font-size:15px; font-family:'Roboto', sans-serif, arial; color:#333333; background-color:#006AF1;-webkit-tap-highlight-color: rgba(0,0,0,0);}

.body_wrapper { min-height:100%; margin-bottom:-100px; background-color:#F8F8F8; }
.push_wrapper { height:5px; background-color:#F8F8F8; }
.foot_wrapper { height:90px; background-color:#111; opacity:1.0; margin:10px; border-radius:10px; }

.body_section_flex { display:flex; flex-direction:column; min-height:calc(100vh - 68px); }
.body_section { width:100%; max-width:1400px; margin:0 auto; padding:0; display:flex; flex-direction:column; }
.body_section_wrap { margin:5px 10px; background-color:#FFFFFF; border-radius:7px; }
.body_section_wrap { border:1px solid #EEE; padding:20px; min-height:100%; flex-grow:1; }
.body_section_wrap { padding:20px; }
.body_section_title_row { display:flex; color:#222222; text-transform:uppercase; height:20px; }
.body_section_title_main { flex-grow:1; font-size:18px; font-weight:400; }
.body_section_title_link { text-align:right; font-size:14px; font-weight:400; margin-top:3px; }
.body_section_title_link a:link    { color:#222222; text-decoration:none; }
.body_section_title_link a:visited { color:#222222; text-decoration:none; }
.body_section_title_link a:hover   { color:#666666; text-decoration:none; }
.body_section_title_link a:active  { color:#222222; text-decoration:none; }
hr { border:0; width:100%; height:1px; color:#DDDDDD; background-color:#DDDDDD; margin:10px 0; opacity:1.0; }
table        { border:0; margin:0; border-collapse:collapse; }
td    { padding:0; }
p     { line-height:1.75; }
p {margin:15px 5px 0 5px; }
@media (min-width:768px) { p { margin:15px 15px 0 15px; } }li { line-height:1.5; margin:8px 0 0 0; }
ol { line-height:1.75; }
ol {margin:0 5px 0 5px; }
@media (min-width:768px) { ol { margin:0 15px 0 15px; } }a:link    { color:#006AF1; text-decoration:underline; }
a:visited { color:#006AF1; text-decoration:underline; }
a:hover   { color:#006AF1; text-decoration:none; }
a:active  { color:#006AF1; text-decoration:underline; }

.error  { color:#AA2222; }
.error a:link    { color:#AA2222; text-decoration:none; }
.error a:visited { color:#AA2222; text-decoration:none; }
.error a:hover   { color:#AA2222; text-decoration:underline; }
.error a:active  { color:#AA2222; text-decoration:none; }

.success { color:#22AA22; }
.success a:link    { color:#22AA22; text-decoration:none; }
.success a:visited { color:#22AA22; text-decoration:none; }
.success a:hover   { color:#22AA22; text-decoration:underline; }
.success a:active  { color:#22AA22; text-decoration:none; }

.text_size1 { font-size:19px; }
.text_size2 { font-size:15px; }
.text_size3 { font-size:12px; }
.text_size4 { font-size:9px; }

.height20 { height:20px; }
.height30 { height:30px; }
.height40 { height:40px; }
.padding5px  { padding:5px; }
.padding10px { padding:10px; }
.padding20px { padding:20px; }
.margin10px { margin:10px; }
.align_left { text-align:left; }
.align_right { text-align:right; }
.align_center { text-align:center; }
.pointer { cursor:pointer; }
#menu_div { display: none; width:200px; }

/*** PAGE HEADER ***/

#head_wrapper { position:absolute; top:0; left:0; z-index:2; width:100%; margin:0; background-color:#006AF1; position:fixed; }
#head_wrapper img { vertical-align:middle; }
.head_table    { height:50px; box-shadow:0px 8px 8px rgb(248,248,248,0.9); -webkit-box-shadow:0px 8px 8px rgb(248,248,248,0.9); }
.head_logo     { padding:2px; text-align:center; }
.head_logo img { height:56px; border:0; padding:0;  }
.head_filler   { height:68px; }
.head_icon        { color:#FFFFFF; line-height:1.5; }
.head_icon.back   { font-size:30px; width:60px}
.head_icon.menu   { font-size:25px; width:60px; }
#share_page { display:none; position:fixed; width:100%; margin:0; text-align:right; padding:20px; z-index:98; }
#share_page span { margin:40px; padding:10px 20px; background-color:#EEE; border-radius:5px; background-color:#006AF1; color:#FFFFFF; }

/*** HEADER MENU  ***/

.head_menu             { position:fixed; top:60px; right:0; z-index:99; margin:0; padding:0; float:right; background-color:#006AF1; }
.head_menu             { min-width:200px; border-radius: 0 0 20px 20px; }.head_menu             { font-size:16px; color:#FFFFFF; text-decoration:none; }
.head_menu a           { cursor:pointer; }
.head_menu a:link      { color:#FFFFFF; text-decoration:none; }
.head_menu a:visited   { color:#FFFFFF; text-decoration:none; }
.head_menu a:hover     { color:#FFFFFF; text-decoration:none; }
.head_menu p        { padding:15px 30px; margin:0; cursor:pointer; }.head_menu p:hover  { text-decoration: underline; }.head_menu hr       { margin:0 15px 0 15px; width:auto; background-color:color:#FFFFFF; opacity:0.3; }

/*** PAGE FOOTER ***/

.footer_opts             { padding:20px 0 10px 0; font-size:14px; color:#777; text-align:center; width:100%; }
.footer_opts a:visited   { color:#BBB; text-decoration:none; }
.footer_opts a:link      { color:#BBB; text-decoration:none; }
.footer_opts a:hover     { color:#EEE; text-decoration:none; }
.footer_opts a:active    { color:#BBB; text-decoration:none; }
.footer_logo             { padding:15px 0 15px 0; font-size:10px; color:#888; text-transform:uppercase; text-align:center; width:100%; margin:0 auto; border-radius:30px; background-color:#222; max-width:300px; }
.footer_logo a:visited   { color:#888; text-decoration:none; }
.footer_logo a:link      { color:#888; text-decoration:none; }
.footer_logo a:hover     { color:#999; text-decoration:none; }
.footer_logo a:active    { color:#888; text-decoration:none; }
.footer_logo td          { padding:5px 0 15px 0; }

.footer_logo img         { height:15px; border:0; margin:-5px 5px -5px 5px; }

.footer_icon a         { padding:10px 10px; color:#FFF; font-size:30px; opacity:0.4; }
.footer_icon a:hover   { opacity:0.8; }


/*** BUTTON OPTION ***/

.button_option         { font-weight:400; background-color:rgb(102,102,102,0.05); font-size:12px; padding:8px 16px; margin:10px 5px;  }
.button_option         { border:1px solid rgb(51,51,51,0.10); border-radius:20px; display:inline-block; line-height:1.5; }.button_option b       { color:#666666; font-weight:500; }
.button_option:visited { color:#666666; opacity:0.9; text-decoration:none; }
.button_option:link    { color:#666666; opacity:0.9; text-decoration:none; }
.button_option:hover   { color:#666666; opacity:1.0; text-decoration:none; }
.button_option:active  { color:#666666; opacity:0.9; text-decoration:none; }

.button_option_trans   { background-color:#FFFFFF; }

.button_option_icons   { font-size:15px; padding:10px 15px; }

.button_option_double  { border-radius:25px; }

.button_option_footer    { border-radius:40px; padding:15px 15px; margin:5px; }

.button_option_footer i  { font-size:25px; margin-bottom:7px; opacity:0.6; }

.button_action				{ font-weight:500; font-size:14px; padding:8px 16px; margin:10px 5px; }
.button_action				{ border-radius:20px; border:1px solid #006AF1; }
.button_action				{ display:inline-block; line-height:1.5; text-decoration:none; text-align:center; }
.button_action:hover   	{ text-decoration:none; }
.button_action:visited 	{ text-decoration:none; }
.button_action:link   	 	{ text-decoration:none; }
.button_action:active  	{ text-decoration:none; }

.button_action.button1         { background-color:#006AF1; color:#FFF; }
.button_action.button1:hover   { opacity:0.9; }
.button_action.button1:active  { opacity:0.6; }
.button_action.button2         { background-color:#FFF; color:#006AF1; }
.button_action.button2:hover   { opacity:0.9; }
.button_action.button2:active  { opacity:0.6; }
/*** MISC ***/

.shadow2px { box-shadow:0 0 2px 0px #DDDDDD; }
.shadow3px { box-shadow:0 0 3px 0px #DDDDDD; }
.float_left  { float:left; }
.float_right { float:right; }

/** FORMS **/

textarea { line-height:1.25; -webkit-appearance:none; box-sizing:border-box; outline:none; resize:none; }
select { -webkit-appearance: none; -moz-appearance:none; appearance:none; }
input { line-height:1; -webkit-appearance:none; }
input:focus, select:focus, textarea:focus, button:focus { outline:none; }
input[type='color'] { padding:5px; height:33px; }

.forms_wrapper { margin:0; width:100%; }
.forms_box_wrap     { margin:40px auto; padding:20px; border:1px solid #EEE; border-radius:20px; background-color:#FCFCFC; }.forms_box_wrap h3  { font-size:20px; color:#333; line-height:1.0; margin:0 0 10px 0; font-weight:bold; }.forms_label { margin:3px 0; color:#333333; font-size:15px; font-weight:500; opacity:0.8; }
.forms_label i { opacity:0.5; font-style:normal; }
.forms_desc { padding:3px 0; color:#333333; font-size:13px; opacity:0.6; line-height:1.4; }
.forms_desc a:link    { color:#333333; }
.forms_desc a:visited { color:#333333; }
.forms_desc a:hover   { color:#333333; }
.forms_desc a:active  { color:#333333; }
.forms_links { padding:5px 0; color:#999999; font-size:15px; line-height:1.4; }
.forms_links a:link    { color:#333333; }
.forms_links a:visited { color:#333333; }
.forms_links a:hover   { color:#333333; }
.forms_links a:active  { color:#333333; }
.forms_captcha { padding:5px 0; color:#333333; font-size:13px; opacity:0.4; line-height:1.4; }
.forms_captcha a:link    { color:#333333; }
.forms_captcha a:visited { color:#333333; }
.forms_captcha a:hover   { color:#333333; }
.forms_captcha a:active  { color:#333333; }
.forms_error        { padding:3px 0; color:#AA2222; font-size:15px; }
.forms_error i      { font-style: normal; opacity:0.3; font-size:12px; }
.forms_error a:link    { color:#AA2222; }
.forms_error a:visited { color:#AA2222; }
.forms_error a:hover   { color:#AA2222; }
.forms_error a:active  { color:#AA2222; }
.forms_error_box 	{ background-color:rgb(170,34,34,0.05); color:#AA2222; font-size:15px; opacity:0.8; padding:10px 20px; border:1px solid rgb(170,34,34,0.3); border-radius:5px; }
.forms_error_box 	{ max-width:100%; text-align:left; }
.forms_error_box    { margin:0; }
@media (min-width:768px) { .forms_error_box { margin:20px 10px 10px 10px; } }
.forms_error_box i { cursor:pointer; float:right; font-size:19px; font-weight:500; line-height:1.3;  }
.forms_error_box a:link    { color:#AA2222; }
.forms_error_box a:visited { color:#AA2222; }
.forms_error_box a:hover   { color:#AA2222; }
.forms_error_box a:active  { color:#AA2222; }
.forms_message       { color:#22AA22; font-size:15px; }
.forms_message_box   { background-color:rgb(34,170,34,0.05); color:#22AA22; font-size:15px; opacity:0.8; padding:10px 20px; border:1px solid rgb(34,170,34,0.3); border-radius:5px; }
.forms_message_box   { max-width:100%; text-align:left; }
.forms_message_box { margin:0; }
@media (min-width:768px) { .forms_message_box { margin:20px 10px; } }.forms_message_box i { cursor:pointer; float:right; font-size:19px; font-weight:500; line-height:1.3;  }
.forms_message_box a:link    { color:#22AA22; }
.forms_message_box a:visited { color:#22AA22; }
.forms_message_box a:hover   { color:#22AA22; }
.forms_message_box a:active  { color:#22AA22; }
.forms_row { margin:15px 5px 0 5px; }
.forms_textarea { margin:0; }
.forms_textarea textarea { width:100%; border:1px solid rgb(51,51,51,0.2); padding:10px; border-radius:5px; }
.forms_textarea textarea { color:#333333; font-size:14px; background-color:#FFFFFF; }
.forms_textarea textarea:focus { border:1px solid rgb(51,51,51,0.6); }
.forms_textbox       { overflow:hidden; position:relative; border:1px solid rgb(51,51,51,0.2); margin:0; color:#333333; background-color:#FFFFFF; width:100%; box-sizing:border-box; }
.forms_textbox       { font-size:14px; border-radius:3px; padding:7px; }
.forms_textbox:focus { border:1px solid rgb(51,51,51,0.6); }
.forms_dropdown { font-size:14px; margin:0; border:1px solid rgb(51,51,51,0.2); padding:3px; border-radius:3px; }
.forms_dropdown { background-color:#FFFFFF; position:relative; display:block; }
.forms_dropdown:after  { font-size:18px; width:30px; }
.forms_dropdown select { font-size:14px; }
.forms_dropdown:focus { border:1px solid rgb(51,51,51,0.6); }
.forms_dropdown:focus-within { border:1px solid rgb(51,51,51,0.6); }
.forms_dropdown select { width:100%; border:0; border-radius:5px; padding:4px; background-color:#FFFFFF; color:#333333; font-size:14px; }
.forms_dropdown option { font-size:14px; }
.forms_dropdown:after { content:"\f107"; font-family:"Font Awesome 7 Pro"; }
.forms_dropdown:after { color:color:#333333; font-size:18px; font-weight:500; opacity:0.5; }
.forms_dropdown:after { padding:5px 5px; position:absolute; right:0; top:0; border-radius:5px; }
.forms_dropdown:after { background:#FFFFFF; z-index:1; text-align:center; width:40px; height:100%; }
.forms_dropdown:after { pointer-events:none; box-sizing:border-box; }
.forms_button { color:#FFFFFF; background-color:#006AF1; width:100%; }
.forms_button { font-size:15px; font-weight:500; border:1px solid #006AF1; border-radius:20px; padding:12px 24px; margin:10px 0; text-decoration:none; cursor:pointer; }
.forms_button:hover  { opacity:0.9; }
.forms_button:active { opacity:0.6; }
 input[type='checkbox'] { border:1px solid #999; padding:10px; border-radius:3px; }
 input[type=checkbox]:checked { background-color:#777; }
.forms_response_error   { margin:5px; height:20px; font-size:14px; color:#AA2222; }
.forms_response_success { margin:5px; height:20px; font-size:14px; color:#22AA22; }
.forms_response_warning { margin:5px; height:20px; font-size:14px; color:#AAAAAA; }

/** ADMIN - TITLE/SUBTITLE **/

.admin_title_row { display:flex; }
.admin_title_text { color:#222222; flex-grow:1; font-size:28px; font-weight:500; line-height:1; }
.admin_title_links { flex-grow:1; padding:10px 5px 0 5px; text-align:right; line-height:1; }
.admin_subtitle_row { display:flex; }
.admin_subtitle_row img { height:60px; width:60px; margin-right:10px; border-radius:5px; }
.admin_subtitle_text { color:#222222; font-size:21px; font-weight:500; line-height:1.0; opacity:0.9; }
.admin_subtitle_text i { font-size:17px; opacity:0.5; font-style: normal; }
.admin_subtitle_links { flex-grow:1; padding:5px 5px 0 5px; text-align:right; line-height:1; }

/** ADMIN - HOME BUTTONS **/

.admin_home_button         { background-color:#FFF; margin:5px; width:220px; }
.admin_home_button         { border:1px solid #DDD; border-radius:16px; display:inline-block; }.admin_home_button   		 { color:#999999; font-size:13px; text-align:left; line-height:1.4; padding:8px 16px; }
.admin_home_button i       { color:#006AF1; font-size:35px; float:left; text-align:center; width:40px; margin:4px 10px 4px 0; }
.admin_home_button b       { color:#333333; font-size:15px; font-weight:600; opacity:0.9; }
.admin_home_button:visited { color:#999999; text-decoration:none; }
.admin_home_button:link    { color:#999999; text-decoration:none; }
.admin_home_button:hover   { color:#999999; text-decoration:none; border:1px solid #999; }
.admin_home_button:active  { color:#999999; text-decoration:none; }


/** ADMIN - TABLE **/

.admin_table	  { border:1px solid #DDD; border-radius:5px; margin:10px 10px; padding:3px; }
.admin_table:hover  { border:1px solid #BBB; }
.admin_table table { width:100%; color:#555; font-size:14px; }
.admin_table th { padding:10px 10px; background-color:#EEEEEE; color:#555; font-weight:500; border:1px solid #FFF; }
.admin_table tr { border-top:1px solid #FFF; }
.admin_table tr:nth-child(odd)  { background-color:#F9F9F9; }
.admin_table tr:nth-child(even) { background-color:#FFFFFF; }
.admin_table tr:hover { background-color:rgb(0,106,241,0.07); }
.admin_table td { padding:10px 10px; border:1px solid #FFF; }
.admin_table img { height:50px; border-radius:3px; }
.admin_table i { opacity:0.5; font-style:normal; }
.admin_table_onclick:hover { cursor:pointer; }
.admin_table_error { background-color:rgb(0,106,241,0.07) !important; }
.admin_table_icons i { padding:5px 10px; width:18px; font-size:18px; cursor:pointer; }
.admin_table_icons i { color:#777; opacity:1.0; }
.admin_table_icons i:hover { color:#777; opacity:0.7; }
.admin_table_icons_red { color: !important; }
.admin_table_icons_green { color: !important; }
.admin_table_icons_done { opacity:0.3 !important; }
.admin_table_note { opacity:0.5; font-weight:normal; font-size:12px; }
.admin_table_select { background-color:#FFFFDD !important; }
.admin_table_select:hover { background-color:rgb(0,106,241,0.07) !important; }
.admin_table_input { box-shadow: 0 4px 16px 0 rgba(0, 0, 0, 0.05); background: rgba(255, 255, 255, 0.00); }
.admin_table_input { border: 0; height: 20px; padding: 5px 10px; color: #555; font-size: 14px; text-align:center; }
.admin_cell_padding { padding:10px 15px !important; line-height:1.5; }
.admin_table a:link    { color:#555; text-decoration:none; border: 1px solid #EEE; border-radius:5px; padding:5px 10px; background-color:#fff; display:inline-block; margin:2px; }
.admin_table a:visited { color:#555; text-decoration:none; border: 1px solid #EEE; }
.admin_table a:active  { color:#555; text-decoration:none; border: 1px solid #EEE; }
.admin_table a:hover   { color:#555; text-decoration:none; border: 1px solid #999; }

/** ADMIN - PAGINATION **/

.admin_pagination { display:flex; font-weight:400; width:100%; }
.admin_pagination div { flex-grow:1; padding:5px 5px; }

/** ADMIN - MENU BUTTONS **/

.admin_menu   { font-size:16px; }
.admin_menu p { margin:5px 5px; line-height:1.5; }
.admin_menu i { margin-right:5px; }
.admin_menu a { border:1px solid #CCC; color:#555; border-radius:8px; padding:4px 12px; text-decoration:none; margin:5px; display:inline-block; }
.admin_menu a:hover { border:1px solid #999; background:#FEFEFE; }
.admin_menu_green { color: !important; }
.admin_menu_green:hover { border-color:#11BB11 !important; background:#F8FFF8 !important; }
.admin_menu_red { color: !important; }
.admin_menu_red:hover { border-color:#BB1111 !important; background:#FFF8F8 !important; }
.admin_menu input { border:1px solid #CCC; color:#555; border-radius:8px; padding:4px 12px 4px 12px; margin:10px 5px; line-height:1.5; }
.admin_menu input:focus { border:1px solid #999; }
.admin_menu input:hover { border:1px solid #999; }
.admin_links         { color:#999; }
.admin_links a       { color:#555; text-decoration:none; }
.admin_links a:hover { color:#555; text-decoration:underline; }
.admin_form_group { background-color:#FDFDFD; padding:0px 20px 20px 20px; margin:10px 10px; border:1px solid #CCC; border-radius:5px; }
.admin_form_group:hover { border:1px solid #999; }
.admin_chart_wrap { border:1px solid #CCC; margin:10px 10px; padding:30px 20px 10px 20px; }
.admin_chart_wrap:hover  { border:1px solid #999; }

.grecaptcha-badge { visibility: hidden; }
.row { margin-left:0 !important; margin-right:0 !important; }
